%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 22 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 36
Release:	%{REL}

License:	GP5

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 22 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Dec 14 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-36
* Release 1.1.r17-36
	Initial release. Kernel modules were added for the following kernels:
		4.8.13-100

* Mon Dec 12 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-35
* Release 1.1.r17-35
	Initial release. Kernel modules were added for the following kernels:
		4.8.12-100

* Wed Dec  7 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-34
* Release 1.1.r17-34
	Initial release. Kernel modules were added for the following kernels:
		4.8.11-100

* Thu Dec  1 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-33
* Release 1.1.r17-33
	Initial release. Kernel modules were added for the following kernels:
		4.8.10-100
		4.8.8-100

* Wed Nov  2 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-32
* Release 1.1.r17-32
	Initial release. Kernel modules were added for the following kernels:
		4.7.10-100

* Mon Oct 24 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-31
* Release 1.1.r17-31
	Initial release. Kernel modules were added for the following kernels:
		4.7.8-100
		4.7.9-100

* Mon Oct 17 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-30
* Release 1.1.r17-30
	Initial release. Kernel modules were added for the following kernels:
		4.7.7-100

* Mon Oct 10 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-29
* Release 1.1.r17-29
	Initial release. Kernel modules were added for the following kernels:
		4.7.6-100

* Sun Oct  2 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
* Release 1.1.r17-28
	Initial release. Kernel modules were added for the following kernels:
		4.7.5-100

* Sun Sep 25 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
* Release 1.1.r17-27
	Initial release. Kernel modules were added for the following kernels:
		4.7.4-100

* Thu Sep 15 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
* Release 1.1.r17-26
	Initial release. Kernel modules were added for the following kernels:
		4.7.3-100

* Tue Sep  6 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-25
* Release 1.1.r17-25
	Initial release. Kernel modules were added for the following kernels:
		4.7.2-101

* Wed Aug 24 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-24
* Release 1.1.r17-24
	Initial release. Kernel modules were added for the following kernels:
		4.6.7-200

* Wed Aug 17 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-23
* Release 1.1.r17-23
	Initial release. Kernel modules were added for the following kernels:
		4.6.6-200

* Tue Aug  9 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-22
* Release 1.1.r17-22
	Initial release. Kernel modules were added for the following kernels:
		4.6.5-200

* Wed Jul 20 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-21
* Release 1.1.r17-21
	Initial release. Kernel modules were added for the following kernels:
		4.6.4-201

* Wed Jul  6 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-20
* Release 1.1.r17-20
	Initial release. Kernel modules were added for the following kernels:
		4.5.7-202

* Mon Jun 20 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-19
* Release 1.1.r17-19
	Initial release. Kernel modules were added for the following kernels:
		4.5.7-200

* Fri Jun 10 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-18
* Release 1.1.r17-18
	Initial release. Kernel modules were added for the following kernels:
		4.5.6-200

* Mon Jun  6 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-17
* Release 1.1.r17-17
	Initial release. Kernel modules were added for the following kernels:
		4.5.5-201

* Fri May 13 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-16
* Release 1.1.r17-16
	Initial release. Kernel modules were added for the following kernels:
		4.4.9-300

* Thu Apr 28 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-15
* Release 1.1.r17-15
	Initial release. Kernel modules were added for the following kernels:
		4.4.8-300

* Wed Apr 20 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-14
* Release 1.1.r17-14
	Initial release. Kernel modules were added for the following kernels:
		4.4.7-300

* Sat Apr  9 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-13
* Release 1.1.r17-13
	Initial release. Kernel modules were added for the following kernels:
		4.4.6-301

* Thu Mar 24 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-12
* Release 1.1.r17-12
	Initial release. Kernel modules were added for the following kernels:
		4.4.6-300

* Fri Mar 18 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Initial release. Kernel modules were added for the following kernels:
		4.4.5-300

* Sun Mar 13 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Initial release. Kernel modules were added for the following kernels:
		4.4.4-301

* Fri Mar  4 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Initial release. Kernel modules were added for the following kernels:
		4.4.3-300

* Wed Mar  2 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Initial release. Kernel modules were added for the following kernels:
		4.4.2-301

* Tue Feb  9 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Initial release. Kernel modules were added for the following kernels:
		4.3.5-300

* Tue Feb  2 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Initial release. Kernel modules were added for the following kernels:
		4.3.4-300
		4.3.3-303

* Tue Jan  5 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Initial release. Kernel modules were added for the following kernels:
		4.2.8-300

* Thu Dec 17 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Initial release. Kernel modules were added for the following kernels:
		4.2.7-300

* Fri Nov 27 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Initial release. Kernel modules were added for the following kernels:
		4.2.6-301

* Fri Nov 20 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Initial release. Kernel modules were added for the following kernels:
		4.2.6-300

* Mon Nov  9 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Initial release. Kernel modules were added for the following kernels:
		4.2.5-300
		4.2.3-300
